Subject: RE: fread/fwrite problems in b18
From: [email-masked] (Sergey Okhapkin)

3 Jun 1997 01:44:11 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "'Bala Amavasai'"
	 <[email-masked]>
Encoding: 21 TEXT
Original-Sender: [email-masked]

Bala Amavasai wrote:
> 
> Hi! I wonder if anyone can help.  I've written a short program to remove a
> fix sized header (of 512 bytes) from a raw image file. However when I
> compile it and run under gcc b18, I do not get the output I expect. That
> is the output file size is always 30 bytes. The same code compiles and
>         /* image file */
>         if ((infile=fopen(argv[1],"r"))==NULL)

fopen(argv[1], "rb")

>         /* create temp file */
>         if ((outfile=fopen("outfile","w"))==NULL)

fopen("outfile","wb")

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".